
Foreman - Bug #2197

Undefined behaviour of new host form when no location selected

02/12/2013 05:15 AM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Organizations and Locations   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Enable locations

2. Define resources for different locations

3. Login as a user with "any location"

4. new host

5. the first location is selected but host groups wihtout locations are shown

6. when selecting one of those host groups, no puppet classes are shown

Expected:

Either no location selected and host groups selection working

or

host groups scoped by the location

Related issues:

Related to Foreman - Bug #2549: new host organization and location should def... Closed 05/23/2013

Associated revisions

Revision 671b7907 - 05/22/2013 10:10 AM - Joseph Magen

fixes #2197 - form fields for new host are scoped by location and organization on load

Revision f096806f - 05/23/2013 03:55 AM - Joseph Magen

fixes #2197 - form fields for new host are scoped by location and organization on load

(cherry picked from commit 671b7907dd397c1623208815505f5f09f43dcc28)

History

#1 - 02/12/2013 05:17 AM - Ohad Levy

- Category set to Organizations and Locations

- Assignee set to Joseph Magen

- Target version set to 1.2.0

#2 - 05/21/2013 10:32 AM - Joseph Magen

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/632

#3 - 05/22/2013 10:42 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/632


Applied in changeset 671b7907dd397c1623208815505f5f09f43dcc28.
